Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing.v200408
Class ObjectFactory

    java.lang.Object
      org.apache.cxf.ws.addressing.v200408.ObjectFactory

    public class ObjectFactory

extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.apache.cxf.ws.addressing.v200408 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.cxf.ws.addressing.v200408

Method Summary
`javax.xml.bind.JAXBElement<AttributedURI>` | `createAction(AttributedURI value)` Create an instance of `JAXBElement``<``AttributedURI``>`}
`AttributedQName` | `createAttributedQName()` Create an instance of `AttributedQName`
`AttributedURI` | `createAttributedURI()` Create an instance of `AttributedURI`
`javax.xml.bind.JAXBElement<EndpointReferenceType>` | `createEndpointReference(EndpointReferenceType value)` Create an instance of `JAXBElement``<``EndpointReferenceType``>`}
`EndpointReferenceType` | `createEndpointReferenceType()` Create an instance of `EndpointReferenceType`
`javax.xml.bind.JAXBElement<EndpointReferenceType>` | `createFaultTo(EndpointReferenceType value)` Create an instance of `JAXBElement``<``EndpointReferenceType``>`}
`javax.xml.bind.JAXBElement<EndpointReferenceType>` | `createFrom(EndpointReferenceType value)` Create an instance of `JAXBElement``<``EndpointReferenceType``>`}
`javax.xml.bind.JAXBElement<AttributedURI>` | `createMessageID(AttributedURI value)` Create an instance of `JAXBElement``<``AttributedURI``>`}
`ReferenceParametersType` | `createReferenceParametersType()` Create an instance of `ReferenceParametersType`
`ReferencePropertiesType` | `createReferencePropertiesType()` Create an instance of `ReferencePropertiesType`
`javax.xml.bind.JAXBElement<Relationship>` | `createRelatesTo(Relationship value)` Create an instance of `JAXBElement``<``Relationship``>`}
`Relationship` | `createRelationship()` Create an instance of `Relationship`
`javax.xml.bind.JAXBElement<ReplyAfterType>` | `createReplyAfter(ReplyAfterType value)` Create an instance of `JAXBElement``<``ReplyAfterType``>`}
`ReplyAfterType` | `createReplyAfterType()` Create an instance of `ReplyAfterType`
`javax.xml.bind.JAXBElement<EndpointReferenceType>` | `createReplyTo(EndpointReferenceType value)` Create an instance of `JAXBElement``<``EndpointReferenceType``>`}
`ServiceNameType` | `createServiceNameType()` Create an instance of `ServiceNameType`
`javax.xml.bind.JAXBElement<AttributedURI>` | `createTo(AttributedURI value)` Create an instance of `JAXBElement``<``AttributedURI``>`}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.cxf.ws.addressing.v200408

Method Detail

### createReferenceParametersType

    public ReferenceParametersType createReferenceParametersType()

  Create an instance of `ReferenceParametersType`

### createReplyAfterType

    public ReplyAfterType createReplyAfterType()

  Create an instance of `ReplyAfterType`

### createAttributedQName

    public AttributedQName createAttributedQName()

  Create an instance of `AttributedQName`

### createAttributedURI

    public AttributedURI createAttributedURI()

  Create an instance of `AttributedURI`

### createServiceNameType

    public ServiceNameType createServiceNameType()

  Create an instance of `ServiceNameType`

### createEndpointReferenceType

    public EndpointReferenceType createEndpointReferenceType()

  Create an instance of `EndpointReferenceType`

### createReferencePropertiesType

    public ReferencePropertiesType createReferencePropertiesType()

  Create an instance of `ReferencePropertiesType`

### createRelationship

    public Relationship createRelationship()

  Create an instance of `Relationship`

### createRelatesTo

    public javax.xml.bind.JAXBElement<Relationship> createRelatesTo(Relationship value)

  Create an instance of `JAXBElement``<``Relationship``>`}

### createTo

    public javax.xml.bind.JAXBElement<AttributedURI> createTo(AttributedURI value)

  Create an instance of `JAXBElement``<``AttributedURI``>`}

### createMessageID

    public javax.xml.bind.JAXBElement<AttributedURI> createMessageID(AttributedURI value)

  Create an instance of `JAXBElement``<``AttributedURI``>`}

### createFaultTo

    public javax.xml.bind.JAXBElement<EndpointReferenceType> createFaultTo(EndpointReferenceType value)

  Create an instance of `JAXBElement``<``EndpointReferenceType``>`}

### createReplyTo

    public javax.xml.bind.JAXBElement<EndpointReferenceType> createReplyTo(EndpointReferenceType value)

  Create an instance of `JAXBElement``<``EndpointReferenceType``>`}

### createAction

    public javax.xml.bind.JAXBElement<AttributedURI> createAction(AttributedURI value)

  Create an instance of `JAXBElement``<``AttributedURI``>`}

### createEndpointReference

    public javax.xml.bind.JAXBElement<EndpointReferenceType> createEndpointReference(EndpointReferenceType value)

  Create an instance of `JAXBElement``<``EndpointReferenceType``>`}

### createFrom

    public javax.xml.bind.JAXBElement<EndpointReferenceType> createFrom(EndpointReferenceType value)

  Create an instance of `JAXBElement``<``EndpointReferenceType``>`}

### createReplyAfter

    public javax.xml.bind.JAXBElement<ReplyAfterType> createReplyAfter(ReplyAfterType value)

  Create an instance of `JAXBElement``<``ReplyAfterType``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.